curl --request GET \
--url https://api.x.com/2/tweets/search/all \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.x.com/2/tweets/search/all"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.x.com/2/tweets/search/all', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"author_id": "2244994945",
"created_at": "Wed Jan 06 18:40:40 +0000 2021",
"id": "1346889436626259968",
"text": "Learn how to use the user Tweet timeline and user mention timeline endpoints in the X API v2 to explore Tweet\\u2026 https:\\/\\/t.co\\/56a0vZUx7i",
"username": "XDevelopers"
}
],
"errors": [
{
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"status": 123
}
],
"includes": {
"media": [
{
"type": "<string>",
"preview_image_url": "<string>",
"variants": [
{
"bit_rate": 123,
"content_type": "<string>",
"url": "<string>"
}
],
"height": 1,
"media_key": "<string>",
"width": 1
}
],
"places": [
{
"full_name": "Lakewood, CO",
"id": "f7eb2fa2fea288b1",
"contained_within": [
"f7eb2fa2fea288b1"
],
"country": "United States",
"country_code": "US",
"geo": {
"bbox": [
-105.193475,
39.60973,
-105.053164,
39.761974
],
"properties": {},
"type": "Feature",
"geometry": {
"coordinates": [
-105.18816086351444,
40.247749999999996
],
"type": "Point"
}
},
"name": "Lakewood",
"place_type": "city"
}
],
"polls": [
{
"id": "1365059861688410112",
"options": [
{
"label": "<string>",
"position": 123,
"votes": 123
}
],
"duration_minutes": 5042,
"end_datetime": "2023-11-07T05:31:56Z",
"voting_status": "open"
}
],
"topics": [
{
"id": "<string>",
"name": "Technology",
"description": "All about technology"
}
],
"tweets": [
{
"author_id": "2244994945",
"created_at": "Wed Jan 06 18:40:40 +0000 2021",
"id": "1346889436626259968",
"text": "Learn how to use the user Tweet timeline and user mention timeline endpoints in the X API v2 to explore Tweet\\u2026 https:\\/\\/t.co\\/56a0vZUx7i",
"username": "XDevelopers"
}
],
"users": [
{
"created_at": "2013-12-14T04:35:55Z",
"id": "2244994945",
"name": "X Dev",
"protected": false,
"username": "TwitterDev"
}
]
},
"meta": {
"newest_id": "<string>",
"next_token": "<string>",
"oldest_id": "<string>",
"result_count": 123
}
}{
"code": 123,
"message": "<string>"
}Buscar en todas las publicaciones
Recupera Publicaciones del archivo completo que coinciden con una consulta de búsqueda.
Autorizaciones
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Parámetros de consulta
Una consulta/regla/filtro para hacer coincidir Publicaciones. Consulta https://t.co/rulelength para determinar la longitud máxima permitida de la consulta.
1 - 4096"(from:TwitterDev OR from:TwitterAPI) has:media -is:retweet"
YYYY-MM-DDTHH:mm:ssZ. La marca de tiempo UTC más antigua desde la cual se proporcionarán las Publicaciones. La marca de tiempo tiene granularidad de segundos y es inclusiva (es decir, 12:00:01 incluye el primer segundo de ese minuto).
YYYY-MM-DDTHH:mm:ssZ. Marca de tiempo UTC más reciente hasta la que se proporcionarán las Publicaciones. La marca de tiempo tiene granularidad en segundos y es exclusiva (es decir, 12:00:01 excluye el primer segundo de ese minuto).
Devuelve resultados con un id de la Publicación mayor (es decir, más reciente) que el id especificado. Identificador único de este Tweet. Se devuelve como cadena para evitar complicaciones con lenguajes y herramientas que no pueden manejar enteros de gran tamaño.
^[0-9]{1,19}$"1346889436626259968"
Devuelve resultados con un id de la Publicación menor (es decir, más antiguo) que el id especificado. Identificador único de este Tweet. Se devuelve como cadena para evitar complicaciones con lenguajes y herramientas que no pueden manejar enteros de gran tamaño.
^[0-9]{1,19}$"1346889436626259968"
Número máximo de resultados de búsqueda que se devuelven en una solicitud.
10 <= x <= 500Este parámetro se usa para obtener la siguiente página de resultados. El valor de este parámetro se toma directamente de la respuesta proporcionada por la API y no debe modificarse. Un token de paginación en base36.
1Este parámetro se usa para obtener la siguiente página de resultados. El valor de este parámetro se toma directamente de la respuesta proporcionada por la API y no debe modificarse. Un token de paginación en base36.
1Orden en el que se devolverán los resultados.
recency, relevancy Una lista separada por comas de campos de Tweet que se deben incluir en la respuesta. Los campos disponibles para un objeto de tipo Tweet.
1article, attachments, author_id, card_uri, community_id, context_annotations, conversation_id, created_at, display_text_range, edit_controls, edit_history_tweet_ids, entities, geo, id, in_reply_to_user_id, lang, media_metadata, non_public_metrics, note_tweet, organic_metrics, possibly_sensitive, promoted_metrics, public_metrics, referenced_tweets, reply_settings, scopes, source, suggested_source_links, suggested_source_links_with_counts, text, withheld [
"article",
"attachments",
"author_id",
"card_uri",
"community_id",
"context_annotations",
"conversation_id",
"created_at",
"display_text_range",
"edit_controls",
"edit_history_tweet_ids",
"entities",
"geo",
"id",
"in_reply_to_user_id",
"lang",
"media_metadata",
"non_public_metrics",
"note_tweet",
"organic_metrics",
"possibly_sensitive",
"promoted_metrics",
"public_metrics",
"referenced_tweets",
"reply_settings",
"scopes",
"source",
"suggested_source_links",
"suggested_source_links_with_counts",
"text",
"withheld"
]
Una lista de campos, separados por comas, que se ampliarán. Lista de campos que se pueden expandir para un objeto Tweet. Si el campo incluye un id, puede expandirse a un objeto completo.
1article.cover_media, article.media_entities, attachments.media_keys, attachments.media_source_tweet, attachments.poll_ids, author_id, edit_history_tweet_ids, entities.mentions.username, geo.place_id, in_reply_to_user_id, entities.note.mentions.username, referenced_tweets.id, referenced_tweets.id.attachments.media_keys, referenced_tweets.id.author_id [
"article.cover_media",
"article.media_entities",
"attachments.media_keys",
"attachments.media_source_tweet",
"attachments.poll_ids",
"author_id",
"edit_history_tweet_ids",
"entities.mentions.username",
"geo.place_id",
"in_reply_to_user_id",
"entities.note.mentions.username",
"referenced_tweets.id",
"referenced_tweets.id.attachments.media_keys",
"referenced_tweets.id.author_id"
]
Una lista de campos de Media, separados por comas, que se mostrarán. Los campos disponibles para un objeto Media.
1alt_text, duration_ms, height, media_key, non_public_metrics, organic_metrics, preview_image_url, promoted_metrics, public_metrics, type, url, variants, width [
"alt_text",
"duration_ms",
"height",
"media_key",
"non_public_metrics",
"organic_metrics",
"preview_image_url",
"promoted_metrics",
"public_metrics",
"type",
"url",
"variants",
"width"
]
Una lista, separada por comas, de campos de Poll que se mostrarán. Campos disponibles para un objeto Poll.
1duration_minutes, end_datetime, id, options, voting_status [
"duration_minutes",
"end_datetime",
"id",
"options",
"voting_status"
]
Una lista separada por comas de campos de User que se deben devolver. Los campos disponibles para un objeto User.
1affiliation, confirmed_email, connection_status, created_at, description, entities, id, is_identity_verified, location, most_recent_tweet_id, name, parody, pinned_tweet_id, profile_banner_url, profile_image_url, protected, public_metrics, receives_your_dm, subscription, subscription_type, url, username, verified, verified_followers_count, verified_type, withheld [
"affiliation",
"confirmed_email",
"connection_status",
"created_at",
"description",
"entities",
"id",
"is_identity_verified",
"location",
"most_recent_tweet_id",
"name",
"parody",
"pinned_tweet_id",
"profile_banner_url",
"profile_image_url",
"protected",
"public_metrics",
"receives_your_dm",
"subscription",
"subscription_type",
"url",
"username",
"verified",
"verified_followers_count",
"verified_type",
"withheld"
]
Una lista de campos de Place, separados por comas, que se mostrarán. Campos disponibles para el objeto Place.
1contained_within, country, country_code, full_name, geo, id, name, place_type [
"contained_within",
"country",
"country_code",
"full_name",
"geo",
"id",
"name",
"place_type"
]
Respuesta
La solicitud se realizó correctamente.
1Show child attributes
Show child attributes
1Un objeto HTTP Problem Details, tal como se define en el IETF RFC 7807 (https://tools.ietf.org/html/rfc7807).
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes